<!--
	title: SyntexHighlighterの入手／設定方法
	keywords: FavDoc, SyntexHighlighter
	description: このページでは、FavDocへのSyntexHighlighter設定方法について解説します。
	template: ../Template/TemplateSample1.html
-->
# SyntexHighlighterの入手／設定方法

[ここのサイト](http://alexgorbatchev.com/SyntaxHighlighter/)からSyntaxHighlighterを入手します。

![SyntaxHighliter提供サイト](./images/syntax_site1.png)

サイトの右側に**download**があるので押下します。

![SyntaxHighliterダウンロード](./images/syntax_site2.png)

**Click here to download**
を押下するとダウンロードできます。


特に、拘りが無ければ最新版を取得してください。
ダウンロードしたファイルはzip形式になっています。


## FavDocへの組み込み
FavDoc/SyntaxHighlighterフォルダにsyntaxhighlighter_3.0.83.zipを展開してください。

##展開後フォルダイメージ
``` plain
FavDoc
    /FavDoc.exe                  ← FavDoc実行ファイル
    /FavDocSite.exe              ← FavDocSite実行ファイル
    /readme.txt                  ← 解説テキスト

    /FavDocSample
        /Template
            TemplateSample1.html ← テンプレート
        /Markdown
            /css                 ← css
            /images              ← 画像
            /SyntaxHighlighter   ← SyntaxHighlighterインストール位置
        make.bat                 ← サンプル実行バッチファイル
        makeSyntax.bat           ← サンプル実行バッチファイル(SyntaxHighlighter版)

    /FavDocSiteSample
	    /make.bat                ← サンプル実行バッチファイル
        /Template                ← Configファイルとテンプレート
        /Markdown
            /css                 ← css
            /images              ← 画像
            /FavDoc.md           ← マニュアル(FavDoc.exe)
            /FavDoc2.md          ← マニュアル(FavDoc.exe)
            /FavDocSite.md       ← マニュアル(FavDocSite.exe)
```


# サンプルの実行
makeSyntax.batを実行してください。

``` plain
FavDoc
    /FavDoc.exe                  ← FavDoc実行ファイル
    /FavDocSite.exe              ← FavDocSite実行ファイル
    /readme.txt                  ← 解説テキスト

    /FavDocSample
        /Template
            TemplateSample1.html ← テンプレート
        /Markdown
            /css                 ← css
            /images              ← 画像
            /SyntaxHighlighter   ← SyntaxHighlighterインストール位置
                /compass         ← 
                /scripts         ← 
                /src             ← このような構成になるように展開してください。
                /styles          ← 
                /tests           ← 
                /LGPL-LICENSE    ← 
                /MIT-LICENSE     ← 

        make.bat                 ← サンプル実行バッチファイル
        makeSyntax.bat           ← サンプル実行バッチファイル(SyntaxHighlighter版)

    /FavDocSiteSample
	    /make.bat                ← サンプル実行バッチファイル
        /Template                ← Configファイルとテンプレート
        /Markdown
            /css                 ← css
            /images              ← 画像
            /FavDoc.md           ← マニュアル(FavDoc.exe)
            /FavDoc2.md          ← マニュアル(FavDoc.exe)
            /FavDocSite.md       ← マニュアル(FavDocSite.exe)
```

マニュアルのhtmlファイルが作成されます。


